import { getChildItems } from '../utils/index.js';
const setLink = (href, link) => {
    if (typeof link !== 'string') {
        if (href[0] === '#') {
            link.linkToDestination = href.slice(1);
        }
        else {
            link.link = href;
        }
    }
};
export const linkify = (href, item) => {
    const children = getChildItems(item);
    children.forEach((link) => {
        setLink(href, link);
        linkify(href, link);
    });
};
export const parseLink = (href) => {
    return {
        text: items => {
            items.forEach((link) => {
                setLink(href, link);
                linkify(href, link);
            });
            return items;
        }
    };
};
