/**
 * @param el DOM Element
 */
export const getInlineStyles = (el) => ('getAttribute' in el ? el.getAttribute('style') || '' : '').split(';')
    .map(style => style.trim().split(':'))
    .filter(style => style.length === 2)
    .reduce((style, value) => {
    style[value[0].trim().toLowerCase()] = value[1].trim();
    return style;
}, {});
export const selectStyles = (selectors, styles) => selectors
    .filter((selector) => styles && styles[selector])
    .reduce((style, selector) => {
    return {
        ...style,
        ...styles[selector]
    };
}, {});
