import { Config } from './types/config.types';
import { CssStyles } from './types/global.types.js';
export declare class Context {
    readonly config: Config;
    images: Record<string, string>;
    private _styles;
    private pageStyles;
    constructor(config: Config);
    get styles(): CssStyles;
    setPageStyles(styles: CssStyles): void;
    get fonts(): import("pdfmake/interfaces").TFontDictionary | undefined;
}
export declare const createContext: (_config?: Partial<Config>) => Context;
