"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseSvg = void 0;
const unit_js_1 = require("../utils/unit.js");
const parseSvg = (el) => {
    // TODO is this okay?
    const svgEl = el.cloneNode(true);
    const width = el.getAttribute('width');
    const height = el.getAttribute('height');
    if (width) {
        svgEl.setAttribute('width', '' + (0, unit_js_1.getUnitOrValue)(width));
    }
    if (height) {
        svgEl.setAttribute('height', '' + (0, unit_js_1.getUnitOrValue)(height));
    }
    return {
        svg: svgEl.outerHTML.replace(/\n(\s+)?/g, ''),
    };
};
exports.parseSvg = parseSvg;
