"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.computeMargin = void 0;
const constants_js_1 = require("../constants.js");
const computeMargin = (itemProps, item, value, index) => {
    const margin = itemProps[constants_js_1.META][constants_js_1.MARGIN] || item[constants_js_1.META]?.[constants_js_1.MARGIN] || [0, 0, 0, 0];
    margin[index] = value;
    itemProps[constants_js_1.META][constants_js_1.MARGIN] = [...margin];
    itemProps.margin = margin;
    const padding = itemProps[constants_js_1.META][constants_js_1.PADDING] || item[constants_js_1.META]?.[constants_js_1.PADDING] || [0, 0, 0, 0];
    const paddingValue = padding[index] || 0;
    itemProps.margin[index] = value + paddingValue;
};
exports.computeMargin = computeMargin;
