"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseColor = void 0;
// https://stackoverflow.com/a/3627747/5025024
const rgb2hex = (rgb) => `#${rgb.match(/^rgb\((\d+),\s*(\d+),\s*(\d+)\)$/)?.slice(1).map(n => parseInt(n, 10).toString(16).padStart(2, '0')).join('') || '000'}`;
const parseColor = (color) => {
    if (color[0] === '#') {
        return color;
    }
    if (color.startsWith('rgb')) {
        return rgb2hex(color);
    }
    // TODO parse and take from rootStyle
    if (color.startsWith('var')) {
        return 'black';
    }
    // TODO
    if (color === 'transparent') {
        return 'white';
    }
    return color;
};
exports.parseColor = parseColor;
