import { Context } from '../context.js';
import { LazyItem } from './lazy-item.types.js';
import { ComputedProps } from './props.types.js';
export declare type El = Element | Node;
export declare type NodeRule = (el: El, ctx: Context) => LazyItem | null | undefined;
export declare type StyleRule = (directive: string, value: string, props: ComputedProps) => boolean | undefined;
export declare type Styles = Record<string, string | number>;
export declare type CssStyles = Record<string, Styles>;
