"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPatterns = exports.POS_LEFT = exports.POS_BOTTOM = exports.POS_RIGHT = exports.POS_TOP = exports.CLASSES = exports.STYLE = exports.PDFMAKE = exports.PRE_HANDLER = exports.POST_HANDLER = exports.BORDER = exports.PADDING = exports.MARGIN = exports.IS_INPUT = exports.IS_WHITESPACE = exports.END_WITH_WHITESPACE = exports.START_WITH_WHITESPACE = exports.IS_NEWLINE = exports.START_WITH_NEWLINE = exports.END_WITH_NEWLINE = exports.UID = exports.NODE = exports.META = void 0;
exports.META = Symbol('__HTML2PDFMAKE');
exports.NODE = 'NODE';
exports.UID = 'UID';
exports.END_WITH_NEWLINE = 'END_WITH_NEWLINE';
exports.START_WITH_NEWLINE = 'START_WITH_NEW_LINE';
exports.IS_NEWLINE = 'IS_NEWLINE';
exports.START_WITH_WHITESPACE = 'START_WITH_WHITESPACE';
exports.END_WITH_WHITESPACE = 'END_WITH_WHITESPACE';
exports.IS_WHITESPACE = 'IS_WHITESPACE';
exports.IS_INPUT = 'IS_INPUT';
exports.MARGIN = 'MARGIN';
exports.PADDING = 'PADDING';
exports.BORDER = 'BORDER';
exports.POST_HANDLER = 'POST_HANDLER';
exports.PRE_HANDLER = 'PRE_HANDLER';
exports.PDFMAKE = 'PDFMAKE';
exports.STYLE = 'STYLE';
exports.CLASSES = 'CLASSES';
exports.POS_TOP = 1; // CSS 0
exports.POS_RIGHT = 2; // CSS 1
exports.POS_BOTTOM = 3; // CSS 2
exports.POS_LEFT = 0; // CSS 3
const getPatterns = () => ({
    fill: {
        boundingBox: [1, 1, 4, 4],
        xStep: 1,
        yStep: 1,
        pattern: '1 w 0 1 m 4 5 l s 2 0 m 5 3 l s'
    }
});
exports.getPatterns = getPatterns;
