"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultConfig = void 0;
const global_styles_js_1 = require("./global-styles.js");
const defaultConfig = () => ({
    globalStyles: (0, global_styles_js_1.globalStyles)(),
    styles: {},
    collapseMargin: true,
    collapseWhitespace: true,
    render: (el) => el,
    document: () => window.document,
    parseCss: () => ({}),
    defaultFont: 'Roboto'
});
exports.defaultConfig = defaultConfig;
