"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleImg = void 0;
const type_guards_js_1 = require("../utils/type-guards.js");
const handleImg = (image) => {
    if ((0, type_guards_js_1.isImage)(image) && typeof image.width === 'number' && typeof image.height === 'number') {
        image.fit = [image.width, image.height];
    }
    return image;
};
exports.handleImg = handleImg;
