import { Item } from '../types/item.types.js';
import { LazyItem } from '../types/lazy-item.types.js';
import { MetaNode } from '../types/meta.types.js';
export * from './handle-columns.js';
export * from './handle-img.js';
export * from './handle-table.js';
export * from './handle-toc.js';
/**
 * Executed before children are parsed.
 * @param item
 */
export declare const preHandleLazyItem: (item: MetaNode<LazyItem>) => MetaNode<LazyItem> | null;
/**
 * Executed after children are parsed.
 * @param item
 */
export declare const postHandleItem: (item: MetaNode<Item>) => MetaNode<Item> | null;
