"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.postHandleItem = exports.preHandleLazyItem = void 0;
const constants_js_1 = require("../constants.js");
const merge_js_1 = require("../utils/merge.js");
__exportStar(require("./handle-columns.js"), exports);
__exportStar(require("./handle-img.js"), exports);
__exportStar(require("./handle-table.js"), exports);
__exportStar(require("./handle-toc.js"), exports);
/**
 * Executed before children are parsed.
 * @param item
 */
const preHandleLazyItem = (item) => {
    if (typeof item !== 'string' && item[constants_js_1.META][constants_js_1.PDFMAKE]) {
        (0, merge_js_1.merge)(item, item[constants_js_1.META][constants_js_1.PDFMAKE] || {});
    }
    if (typeof item[constants_js_1.META][constants_js_1.PRE_HANDLER] === 'function') {
        return item[constants_js_1.META][constants_js_1.PRE_HANDLER]?.(item) || null;
    }
    return item;
};
exports.preHandleLazyItem = preHandleLazyItem;
/**
 * Executed after children are parsed.
 * @param item
 */
const postHandleItem = (item) => {
    if (typeof item[constants_js_1.META][constants_js_1.POST_HANDLER] === 'function') {
        return item[constants_js_1.META][constants_js_1.POST_HANDLER]?.(item) || null;
    }
    return item;
};
exports.postHandleItem = postHandleItem;
