import { Context } from '../context.js';
import { El } from '../types/global.types.js';
import { Item } from '../types/item.types.js';
import { LazyItem } from '../types/lazy-item.types.js';
import { MetaNode } from '../types/meta.types.js';
export declare const stackRegex: RegExp;
export declare const isStackItem: (el: El) => boolean;
export declare const parseChildren: (el: El, ctx: Context, parentItem?: LazyItem | undefined) => Item[];
export declare const getNodeRule: (node: Node) => (el: Node, ctx: Context) => Item | null;
export declare const getElementRule: (el: Element) => (el: Element, ctx: Context) => LazyItem | null;
export declare const processItems: (item: MetaNode<LazyItem>, ctx: Context, parentItem?: LazyItem | undefined) => MetaNode<Item> | null;
export declare const parseByRule: (el: El, ctx: Context, parentItem?: LazyItem | undefined) => MetaNode<Item> | null;
export declare const parseElement: (el: Element) => LazyItem | null;
